AWTEventListenerProxy (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: java.awt.event, class: AWTEventListenerProxy
Keywords: java.awt.event.AWTEventListenerProxy class

# Class AWTEventListenerProxy

java.lang.Object
java.util.EventListenerProxy<AWTEventListener>
java.awt.event.AWTEventListenerProxy

All Implemented Interfaces:
  `AWTEventListener, EventListener`

public class AWTEventListenerProxy extends EventListenerProxy<AWTEventListener> implements AWTEventListener
A class which extends the `EventListenerProxy` specifically for adding an `AWTEventListener` for a specific event mask. Instances of this class can be added as `AWTEventListener`s to a `Toolkit` object.

The `getAWTEventListeners` method of `Toolkit` can return a mixture of `AWTEventListener` and `AWTEventListenerProxy` objects.

Since:
  1.4
See Also:
  - `Toolkit`
  - `EventListenerProxy`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AWTEventListenerProxy(long eventMask, AWTEventListener listener)`
  Constructor which binds the `AWTEventListener` to a specific event mask.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `eventDispatched(AWTEvent event)`
  Forwards the AWT event to the listener delegate.
  `long`
  `getEventMask()`
  Returns the event mask associated with the listener.

  ### Methods declared in class EventListenerProxy

  `getListener`
  Modifier and Type
  Method
  Description
  `AWTEventListener`
  `getListener()`
  Returns the listener associated with the proxy.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### AWTEventListenerProxy

    public AWTEventListenerProxy(long eventMask, AWTEventListener listener)
    Constructor which binds the `AWTEventListener` to a specific event mask.
    Parameters:
      `eventMask` - the bitmap of event types to receive
      `listener` - the listener object

- ## Method Details

  - ### eventDispatched

    public void eventDispatched(AWTEvent event)
    Forwards the AWT event to the listener delegate.
    Specified by:
      `eventDispatched` in interface `AWTEventListener`
    Parameters:
      `event` - the AWT event

  - ### getEventMask

    public long getEventMask()
    Returns the event mask associated with the listener.
    Returns:
      the event mask associated with the listener